Welcome to LogMeIn Support!
Reset Search
Search

Article

Windows XP & Server 2003 End of Support

« Go Back

Information

 
Answer
As part of our commitment to keeping you informed, we want to let you know that LogMeIn Pro and Central will be ending support for desktop client and host software installed on Windows XP and Server 2003 computers as of May 30, 2016. This follows the lead of Microsoft, who ended support for XP in April 2014 and for Server 2003 in July 2015.

Your LogMeIn computers using these operating systems will continue to be online through May 30th; at that point, LogMeIn can’t guarantee your remote connection and you may not be able to remotely control or support those machines.

At this point, we encourage you to consider an upgrade plan for your operating system to continue use of LogMeIn beyond May 30th and we recommend that you review the commonly asked questions below as you begin your transition.

Will I still be able to remote control my Windows XP and Server 2003 computers after May 30th?
Yes, after May 30, 2016, LogMeIn is ending support for Windows XP and Server 2003, which means we will no longer accept technical support phone calls for issues related to LogMeIn software installed on Windows XP or Server 2003 operating systems. It also means that we will not be releasing any new updates for XP or Server 2003 hosts, including security updates. LogMeIn is not taking any active steps to disrupt the ability to remote control an XP or Server 2003 machine, but we strongly recommend our customers create a plan to move off of these systems.

What is the technical reason behind this decision?
We made the decision to stop supporting Windows XP and Server 2003 because the cipher suite support in Internet Explorer 8 is limited, meaning it is actually more likely for an issue to occur when using the website client on these operating systems, especially on IE 8. Currently the only cipher suite that works for Internet Explorer 8 is 3DES (a.k.a Triple DES, 3-DES, TDES), which is left on the website solely to support XP and Server 2003 machines. Once this is considered vulnerable and gets removed, users won’t be able to log into the Pro or Central website using Internet Explorer from an XP or Server 2003 machine. This is the client side. Existing XP and Server 2003 installations probably won’t be affected as we use our own OpenSSL library (built-in) to connect to the website and gateways. However it may be a problem to attach or change a subscription since, in that case, the embedded web-view control is using the website and LogMeIn’s Common Login Service. This may break down if the 3DES cipher is determined to be a security vulnerability and later disabled.

Why is there no specific date when computers on Windows XP and Server 2003 will no longer be accessible via LogMeIn?
Every environment is different and once we are no longer releasing updates to a software installed on the XP or Server 2003 operating systems, we can no longer confirm the reliability or security of that software, but we also aren’t actively turning off the connection. Therefore, you will be able to remote control Windows XP and Server 2003 computers indefinitely, but LogMeIn is not responsible for the problems occurred from using XP or Server 2003 after May 30, 2016.

Do I need to manually turn off automatic updates to my XP and Server 2003 hosts to continue remote controlling those computers?
No. Since after May 30, 2016, LogMeIn will no longer provide any new updates to XP or Server 2003 hosts, this is an unnecessary step. These host computers will not receive any sort of updates in the future.
ProductLogMeIn Central; LogMeIn Pro

Is this article helpful?

 

   



Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255

 

Close X